Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationCluster

    public interface ConfigurationCluster

This interface define methods to get cluster setting of sever.

Method Summary
`java.lang.String` | `getClusterAdminHost()` Return cluster admin server host address;
`java.lang.String` | `getClusterAdminRMIPort()` Return cluster admin RMI port;
`java.lang.String` | `getClusterResourceRoot()` Return cluster resource root;
`java.lang.String` | `getServerRMIPort()` Deprecated. since V8 replaced by ConfigurationRMI.getServerRMIPort().
`java.lang.String` | `getShareDsoDirectory()` Deprecated. since version 7.2.
`java.lang.String` | `getShareHistoryDirectory()` Return cluster cluster share history directory;
`java.lang.String` | `getSharePropertyDirectory()` Return cluster share property directory;
`java.lang.String` | `getShareRealmDirectory()` Return cluster share realm directory;
`java.lang.String` | `getShareTempDirectory()` Return cluster cluster share temp directory;
`boolean` | `isClusterAdminServer()` Return if provide cluster admin server;
`boolean` | `isClusterBackupServer()` Return if provide cluster back server;
`void` | `loadProperties()` set the properties of server
`void` | `setClusterAdminHost(java.lang.String adminPort)` Set cluster admin server host address;
`void` | `setClusterAdminRMIPort(java.lang.String adminRMIPort)` Set cluster admin RMI port;
`void` | `setClusterAdminServer(boolean isCluster)` Set if Provide cluster admin server;
`void` | `setClusterBackupServer(boolean isBack)` Set if Provide cluster back server;
`void` | `setClusterResourceRoot(java.lang.String dir)` Set cluster resource root;
`void` | `setServerRMIPort(java.lang.String serverRMIPort)` Deprecated. since V8 replaced by ConfigurationRMI.setServerRMIPort(String serverRMIPort).
`void` | `setShareDsoDirectory(java.lang.String dir)` Deprecated. since version 7.2.
`void` | `setShareHistoryDirectory(java.lang.String dir)` Set cluster share history directory;
`void` | `setSharePropertyDirectory(java.lang.String dir)` Set cluster share property directory;
`void` | `setShareRealmDirectory(java.lang.String dir)` Set cluster share realm directory;
`void` | `setShareTempDirectory(java.lang.String dir)` Set cluster share temp directory;

Method Detail

### isClusterAdminServer

    boolean isClusterAdminServer()

  Return if provide cluster admin server;

  Returns:
    boolean which is if provide cluster admin server.

### setClusterAdminServer

    void setClusterAdminServer(boolean isCluster)

  Set if Provide cluster admin server;

  Parameters:
    `isCluster` - Provide cluster admin server.

### isClusterBackupServer

    boolean isClusterBackupServer()

  Return if provide cluster back server;

  Returns:
    boolean which is if provide cluster back server.

### setClusterBackupServer

    void setClusterBackupServer(boolean isBack)

  Set if Provide cluster back server;

  Parameters:
    `isBack` - provide cluster back server.

### getClusterAdminHost

    java.lang.String getClusterAdminHost()

  Return cluster admin server host address;

  Returns:
    string which is cluster admin server host address.

### setClusterAdminHost

    void setClusterAdminHost(java.lang.String adminPort)

  Set cluster admin server host address;

  Parameters:
    `adminPort` - cluster admin server host address.

### getClusterAdminRMIPort

    java.lang.String getClusterAdminRMIPort()

  Return cluster admin RMI port;

  Returns:
    string which is cluster admin RMI port.

### setClusterAdminRMIPort

    void setClusterAdminRMIPort(java.lang.String adminRMIPort)

  Set cluster admin RMI port;

  Parameters:
    `adminRMIPort` - cluster admin RMI port.

### getServerRMIPort

    java.lang.String getServerRMIPort()

  Deprecated. since V8 replaced by ConfigurationRMI.getServerRMIPort().

  Return server RMI port;

  Returns:
    string which is server RMI port.

### setServerRMIPort

    void setServerRMIPort(java.lang.String serverRMIPort)

  Deprecated. since V8 replaced by ConfigurationRMI.setServerRMIPort(String serverRMIPort).

  Set server RMI port;

  Parameters:
    `serverRMIPort` - server RMI port.

### getSharePropertyDirectory

    java.lang.String getSharePropertyDirectory()

  Return cluster share property directory;

  Returns:
    string which is cluster share property directory.

### getShareRealmDirectory

    java.lang.String getShareRealmDirectory()

  Return cluster share realm directory;

  Returns:
    string which is cluster share realm directory.

### getClusterResourceRoot

    java.lang.String getClusterResourceRoot()

  Return cluster resource root;

  Returns:
    string which is cluster resource root.

### getShareTempDirectory

    java.lang.String getShareTempDirectory()

  Return cluster cluster share temp directory;

  Returns:
    string which is cluster cluster share temp directory.

### getShareDsoDirectory

    java.lang.String getShareDsoDirectory()

  Deprecated. since version 7.2.

  Return cluster share dso directory;

  Returns:
    string which is cluster share dso directory.

### getShareHistoryDirectory

    java.lang.String getShareHistoryDirectory()

  Return cluster cluster share history directory;

  Returns:
    string which is cluster cluster share history directory.

### setSharePropertyDirectory

    void setSharePropertyDirectory(java.lang.String dir)

  Set cluster share property directory;

  Parameters:
    `dirt` - cluster share property directory.

### setShareRealmDirectory

    void setShareRealmDirectory(java.lang.String dir)

  Set cluster share realm directory;

  Parameters:
    `dirt` - cluster share realm directory.

### setClusterResourceRoot

    void setClusterResourceRoot(java.lang.String dir)

  Set cluster resource root;

  Parameters:
    `dirt` - cluster resource root.

### setShareTempDirectory

    void setShareTempDirectory(java.lang.String dir)

  Set cluster share temp directory;

  Parameters:
    `dirt` - cluster share temp directory.

### setShareDsoDirectory

    void setShareDsoDirectory(java.lang.String dir)

  Deprecated. since version 7.2.

  Set cluster share dso directory;

  Parameters:
    `dirt` - cluster share dso directory.

### setShareHistoryDirectory

    void setShareHistoryDirectory(java.lang.String dir)

  Set cluster share history directory;

  Parameters:
    `dirt` - cluster share history directory.

### loadProperties

    void loadProperties()

  set the properties of server

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD